package com.ruoyi.system.service.conference;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.conference.SysUserConference;

import java.util.List;

/**
 * 参会人员Service接口
 * 
 * @author boman
 * @date 2024-05-06
 */
public interface ISysUserConferenceService 
{
    /**
     * 查询参会人员
     * 
     * @param conferenceId 参会人员主键
     * @return 参会人员
     */
    public SysUserConference selectSysUserConferenceByConferenceId(Long conferenceId);

    /**
     * 查询参会人员列表
     * 
     * @param sysUserConference 参会人员
     * @return 参会人员集合
     */
    public List<SysUserConference> selectSysUserConferenceList(SysUserConference sysUserConference);

    /**
     * 新增参会人员
     * 
     * @param sysUserConference 参会人员
     * @return 结果
     */
    public int insertSysUserConference(SysUserConference sysUserConference);

    /**
     * 修改参会人员
     * 
     * @param sysUserConference 参会人员
     * @return 结果
     */
    public int updateSysUserConference(SysUserConference sysUserConference);

    /**
     * 批量删除参会人员
     * 
     * @param conferenceIds 需要删除的参会人员主键集合
     * @return 结果
     */
    public int deleteSysUserConferenceByConferenceIds(Long[] conferenceIds);

    /**
     * 删除参会人员信息
     * 
     * @param conferenceId 参会人员主键
     * @return 结果
     */
    public int deleteSysUserConferenceByConferenceId(Long conferenceId);

    AjaxResult randomAdd(SysUserConference sysUserConference);

    AjaxResult timeTist(SysUserConference sysUserConference);

    AjaxResult pcTimeTist(SysUserConference sysUserConference);

    AjaxResult vote(SysUserConference sysUserConference);

    AjaxResult again(SysUserConference sysUserConference);

    AjaxResult finish(SysUserConference sysUserConference);
}
